Version 2 is coming up
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Analytics

Brand mention trends

post

Returns a time series of how often your brand and tracked competitors appear in AI search engine answers

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
intervalstring · enumRequiredPossible values:
Responses
200Success
application/json
intervalstring · enumRequiredPossible values:
post/v1/analytics/brands/mentions
POST /v1/analytics/brands/mentions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 288

{
  "interval": "daily",
  "filters": {
    "timeRange": {
      "from": "2026-01-01T00:00:00.000Z",
      "to": "2026-01-01T00:00:00.000Z"
    },
    "providers": [
      "GEMINI"
    ],
    "topics": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000"
      }
    ],
    "promptIds": [
      "123e4567-e89b-12d3-a456-426614174000"
    ],
    "regions": [
      {
        "code": "text"
      }
    ],
    "branded": true
  }
}
200Success
{
  "interval": "daily",
  "timeRange": {
    "from": "2026-01-01T00:00:00.000Z",
    "to": "2026-01-01T00:00:00.000Z"
  },
  "series": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "data": [
        {
          "timestamp": "2026-01-01T00:00:00.000Z",
          "value": 1
        }
      ]
    }
  ]
}

Brand overall visibility trends

post

Returns a time series of overall visibility (mentioned or cited) for your brand and tracked competitors in AI search engine answers

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
intervalstring · enumRequiredPossible values:
Responses
200Success
application/json
intervalstring · enumRequiredPossible values:
post/v1/analytics/brands/overall-visibility
POST /v1/analytics/brands/overall-visibility HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 288

{
  "interval": "daily",
  "filters": {
    "timeRange": {
      "from": "2026-01-01T00:00:00.000Z",
      "to": "2026-01-01T00:00:00.000Z"
    },
    "providers": [
      "GEMINI"
    ],
    "topics": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000"
      }
    ],
    "promptIds": [
      "123e4567-e89b-12d3-a456-426614174000"
    ],
    "regions": [
      {
        "code": "text"
      }
    ],
    "branded": true
  }
}
200Success
{
  "interval": "daily",
  "timeRange": {
    "from": "2026-01-01T00:00:00.000Z",
    "to": "2026-01-01T00:00:00.000Z"
  },
  "series": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "data": [
        {
          "timestamp": "2026-01-01T00:00:00.000Z",
          "value": 1
        }
      ]
    }
  ]
}

Brand citation trends

post

Returns a time series of how often your brand and tracked competitors are cited in AI search engine answers

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
intervalstring · enumRequiredPossible values:
Responses
200Success
application/json
intervalstring · enumRequiredPossible values:
post/v1/analytics/brands/citations
POST /v1/analytics/brands/citations HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 288

{
  "interval": "daily",
  "filters": {
    "timeRange": {
      "from": "2026-01-01T00:00:00.000Z",
      "to": "2026-01-01T00:00:00.000Z"
    },
    "providers": [
      "GEMINI"
    ],
    "topics": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000"
      }
    ],
    "promptIds": [
      "123e4567-e89b-12d3-a456-426614174000"
    ],
    "regions": [
      {
        "code": "text"
      }
    ],
    "branded": true
  }
}
200Success
{
  "interval": "daily",
  "timeRange": {
    "from": "2026-01-01T00:00:00.000Z",
    "to": "2026-01-01T00:00:00.000Z"
  },
  "series": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "data": [
        {
          "timestamp": "2026-01-01T00:00:00.000Z",
          "value": 1
        }
      ]
    }
  ]
}

Brand rank trends

post

Returns a time series of your brand and tracked competitors ranking in AI search engine answers

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
intervalstring · enumRequiredPossible values:
Responses
200Success
application/json
intervalstring · enumRequiredPossible values:
post/v1/analytics/brands/rank
POST /v1/analytics/brands/rank HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 288

{
  "interval": "daily",
  "filters": {
    "timeRange": {
      "from": "2026-01-01T00:00:00.000Z",
      "to": "2026-01-01T00:00:00.000Z"
    },
    "providers": [
      "GEMINI"
    ],
    "topics": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000"
      }
    ],
    "promptIds": [
      "123e4567-e89b-12d3-a456-426614174000"
    ],
    "regions": [
      {
        "code": "text"
      }
    ],
    "branded": true
  }
}
200Success
{
  "interval": "daily",
  "timeRange": {
    "from": "2026-01-01T00:00:00.000Z",
    "to": "2026-01-01T00:00:00.000Z"
  },
  "series": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "data": [
        {
          "timestamp": "2026-01-01T00:00:00.000Z",
          "value": 1
        }
      ]
    }
  ]
}

Top cited sources

post

Returns the domains or URLs most frequently cited in AI search answers for your account, ranked by citation volume

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
limitinteger · max: 100Required
offsetinteger · max: 9007199254740991Required
groupBystring · enumRequiredPossible values:
Responses
200Success
application/json
groupBystring · enumRequiredPossible values:
post/v1/analytics/sources
POST /v1/analytics/sources HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 309

{
  "limit": 1,
  "offset": 1,
  "groupBy": "domain",
  "filters": {
    "timeRange": {
      "from": "2026-01-01T00:00:00.000Z",
      "to": "2026-01-01T00:00:00.000Z"
    },
    "providers": [
      "GEMINI"
    ],
    "topics": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000"
      }
    ],
    "promptIds": [
      "123e4567-e89b-12d3-a456-426614174000"
    ],
    "regions": [
      {
        "code": "text"
      }
    ],
    "branded": true
  }
}
200Success
{
  "groupBy": "domain",
  "sources": [
    {
      "source": "text",
      "share": 1,
      "citations": 1
    }
  ],
  "pagination": {
    "total": 1,
    "limit": 1,
    "offset": 1,
    "hasMore": true
  }
}

Last updated